<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMembershipRecordUpdatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('membership_record_updates', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->string('first_name');
            $table->string('middle_name')->nullable();
            $table->string('last_name');
            $table->string('gender');
            $table->string('membership_number');
            $table->string('membership_type');
            $table->string('annual_fee_year');
            $table->string('qualification');
            $table->string('occupation')->nullable();
            $table->string('experience')->nullable();
            $table->string('address');
            $table->string('phone');
            $table->string('email');
            $table->string('status')->default('unchecked');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('membership_record_updates');
    }
}
